diff mbox series

[1/2] selftests: firmware: skip unsupported async loading tests

Message ID 1510141660-31612-2-git-send-email-amit.pundir@linaro.org
State Superseded
Headers show
Series selftests: firmware: skip testing unsupported features | expand

Commit Message

Amit Pundir Nov. 8, 2017, 11:47 a.m. UTC
Ignore async firmware loading tests on older kernel releases,
which do not support this feature.

Signed-off-by: Amit Pundir <amit.pundir@linaro.org>

---
 tools/testing/selftests/firmware/fw_filesystem.sh | 34 ++++++++++++++---------
 1 file changed, 21 insertions(+), 13 deletions(-)

-- 
2.7.4

Comments

Greg Kroah-Hartman Nov. 8, 2017, 12:41 p.m. UTC | #1
On Wed, Nov 08, 2017 at 05:17:39PM +0530, Amit Pundir wrote:
> Ignore async firmware loading tests on older kernel releases,

> which do not support this feature.

> 

> Signed-off-by: Amit Pundir <amit.pundir@linaro.org>


Acked-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
shuah Nov. 8, 2017, 4:29 p.m. UTC | #2
On 11/08/2017 04:47 AM, Amit Pundir wrote:
> Ignore async firmware loading tests on older kernel releases,

> which do not support this feature.

> 

> Signed-off-by: Amit Pundir <amit.pundir@linaro.org>

> ---

>  tools/testing/selftests/firmware/fw_filesystem.sh | 34 ++++++++++++++---------

>  1 file changed, 21 insertions(+), 13 deletions(-)

> 

> diff --git a/tools/testing/selftests/firmware/fw_filesystem.sh b/tools/testing/selftests/firmware/fw_filesystem.sh

> index 62f2d6f54929..b1f20fef36c7 100755

> --- a/tools/testing/selftests/firmware/fw_filesystem.sh

> +++ b/tools/testing/selftests/firmware/fw_filesystem.sh

> @@ -70,9 +70,13 @@ if printf '\000' >"$DIR"/trigger_request 2> /dev/null; then

>  	exit 1

>  fi

>  

> -if printf '\000' >"$DIR"/trigger_async_request 2> /dev/null; then

> -	echo "$0: empty filename should not succeed (async)" >&2

> -	exit 1

> +if [ ! -e "$DIR"/trigger_async_request ]; then

> +	echo "$0: empty filename: async trigger not supported" >&2

> +else

> +	if printf '\000' >"$DIR"/trigger_async_request 2> /dev/null; then

> +		echo "$0: empty filename should not succeed (async)" >&2

> +		exit 1

> +	fi

>  fi

>  

>  # Request a firmware that doesn't exist, it should fail.

> @@ -105,17 +109,21 @@ else

>  fi

>  

>  # Try the asynchronous version too

> -if ! echo -n "$NAME" >"$DIR"/trigger_async_request ; then

> -	echo "$0: could not trigger async request" >&2

> -	exit 1

> -fi

> -

> -# Verify the contents are what we expect.

> -if ! diff -q "$FW" /dev/test_firmware >/dev/null ; then

> -	echo "$0: firmware was not loaded (async)" >&2

> -	exit 1

> +if [ ! -e "$DIR"/trigger_async_request ]; then

> +	echo "$0: firmware loading: async trigger not supported" >&2


Please make this message consistent with the rest when a test is ignored
as in the following tomake it clear what is being done.

fw_fallback.sh:	echo "usermode helper disabled so ignoring test"
fw_filesystem.sh:		echo "Configuration triggers not present, ignoring test"


thanks,
-- Shuah
diff mbox series

Patch

diff --git a/tools/testing/selftests/firmware/fw_filesystem.sh b/tools/testing/selftests/firmware/fw_filesystem.sh
index 62f2d6f54929..b1f20fef36c7 100755
--- a/tools/testing/selftests/firmware/fw_filesystem.sh
+++ b/tools/testing/selftests/firmware/fw_filesystem.sh
@@ -70,9 +70,13 @@  if printf '\000' >"$DIR"/trigger_request 2> /dev/null; then
 	exit 1
 fi
 
-if printf '\000' >"$DIR"/trigger_async_request 2> /dev/null; then
-	echo "$0: empty filename should not succeed (async)" >&2
-	exit 1
+if [ ! -e "$DIR"/trigger_async_request ]; then
+	echo "$0: empty filename: async trigger not supported" >&2
+else
+	if printf '\000' >"$DIR"/trigger_async_request 2> /dev/null; then
+		echo "$0: empty filename should not succeed (async)" >&2
+		exit 1
+	fi
 fi
 
 # Request a firmware that doesn't exist, it should fail.
@@ -105,17 +109,21 @@  else
 fi
 
 # Try the asynchronous version too
-if ! echo -n "$NAME" >"$DIR"/trigger_async_request ; then
-	echo "$0: could not trigger async request" >&2
-	exit 1
-fi
-
-# Verify the contents are what we expect.
-if ! diff -q "$FW" /dev/test_firmware >/dev/null ; then
-	echo "$0: firmware was not loaded (async)" >&2
-	exit 1
+if [ ! -e "$DIR"/trigger_async_request ]; then
+	echo "$0: firmware loading: async trigger not supported" >&2
 else
-	echo "$0: async filesystem loading works"
+	if ! echo -n "$NAME" >"$DIR"/trigger_async_request ; then
+		echo "$0: could not trigger async request" >&2
+		exit 1
+	fi
+
+	# Verify the contents are what we expect.
+	if ! diff -q "$FW" /dev/test_firmware >/dev/null ; then
+		echo "$0: firmware was not loaded (async)" >&2
+		exit 1
+	else
+		echo "$0: async filesystem loading works"
+	fi
 fi
 
 ### Batched requests tests